package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.entity.ObeCultureProgramRequirement;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 培养方案毕业要求 服务类
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
public interface ObeCultureProgramRequirementService extends IService<ObeCultureProgramRequirement> {

    List<ObeCultureProgramRequirement> listRequirement(Long cultureProgramId);

    boolean saveRequirement(ObeCultureProgramRequirement obeCultureProgramRequirement);

    int getMaxSortNum(Long cultureProgramId, Long parentId);

    boolean removeRequirement(Long id);

    void initRequirement(Long cultureProgramId);

    List<ObeCultureProgramRequirement> listByParentId(Long parentId);

    boolean saveRequirementExpect(ObeCultureProgramRequirement obeCultureProgramRequirement);
}
